# Created by pyp2rpm-3.3.5
%global pypi_name codecov

Name:           python-%{pypi_name}
Version:        2.1.12
Release:        %mkrel 2
Summary:        Hosted coverage reports for GitHub, Bitbucket and Gitlab
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/codecov/codecov-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Find coverage reports for programming languages, gather them and submit them to
Codecov.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Find coverage reports for programming languages, gather them and submit them to
Codecov.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/codecov
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.1.12-2.mga9
+ Revision: 1823880
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.1.12-1.mga9
+ Revision: 1785554
- verison 2.1.12
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 2.1.11-1.mga9
+ Revision: 1703405
- imported package python-codecov

